THREE_UNKNOWN = """
Let's expand a two-unknown math word problem into a three-unknown math word problem. The generated math word problem will follow the above steps:
Step 1: Write down each variable meaning in a system of equations by understanding the relation between a system of equations and a math word problem.
Step 2: Introduce a new variable based on the existing variable meaning. Then, assign a value to the new variable based on the solution of the existing system of equations.
Step 3: Add new terms and new equations to the existing system of equations to generate a solvable three-unknown system of equations.
Step 4: Introduce new statements that are related to the existing math word problem or modify the existing statement to rewrite the problem into a three-unknown math word problem based on the new system of equations and the same original scenario.
Step 5: Formulate and rephrase the statements and scenario into a coherent and reasonable math word problem.


System of Equations:
1.0 * x + 2.0 * y = 2860.0
2.0 * x + 1.0 * y = 2990.0

Solution of System of Equations:
x = 1040
y = 910

Problem:
One pan pizza and two cheeseburgers provide 2860 calories. Two pan pizzas and one cheeseburger provide 2990 calories. Find the caloric content of each item.

Step 1: The variables in the system of equations are x and y, where x represents the caloric content of a pan pizza and y represents the caloric content of a cheeseburger.

Step 2: Introduce a new variable z, which represents the caloric content of a milkshake. Let's say a milkshake provides 500 calories.

x = 1040
y = 910
z = 500

Step 3: Add new terms and new equations to the existing system of equations. The new system of equations becomes:

1.0 * x + 2.0 * y + 1.0 * z = 3360.0
2.0 * x + 1.0 * y + 1.0 * z = 3490.0
1.0 * x + 1.0 * y + 2.0 * z = 2950.0

Step 4: Introduce new statements that are related to the existing math word problem. The new statements are:

One pan pizza, two cheeseburgers, and one milkshake provide 3360 calories.
Two pan pizzas, one cheeseburger, and one milkshake provide 3490 calories.
One pan pizza, one cheeseburger, and two milkshakes provide 2950 calories.

Step 5: Formulate and rephrase the statements and scenario into a coherent and reasonable math word problem. The new math word problem is:

At a fast food restaurant, one pan pizza, two cheeseburgers, and one milkshake provide 3360 calories. Two pan pizzas, one cheeseburger, and one milkshake provide 3490 calories. One pan pizza, one cheeseburger, and two milkshakes provide 2950 calories. Find the caloric content of each item.


System of Equations:
4.0 * x + 6.0 * y = 2876.0
x + y = 525.0

Solution of System of Equations:
x = 137
y = 388

Problem:
Tickets cost 4 dollars for students and 6 dollars for general admission. You sell 525 tickets and collect 2876 dollars. How many student tickets did you sell, and how many general admission tickets did you sell?

Step 1: The variables in the system of equations are x and y, where x represents the number of student tickets sold and y represents the number of general admission tickets sold.

Step 2: Introduce a new variable z, which represents the number of senior tickets sold. Let's say you sold 100 senior tickets.

x = 137
y = 388
z = 100

Step 3: Add new terms and new equations to the existing system of equations. The new system of equations becomes:

4.0 * x + 6.0 * y + 3.0 * z = 3176.0
x + y + z = 625.0
2.0 * x + 1.0 * y + 0.5 * z = 712.0

Step 4: Introduce new statements that are related to the existing math word problem. The new statements are:

Tickets cost 4 dollars for students, 6 dollars for general admission, and 3 dollars for seniors. You sell 625 tickets and collect 3176 dollars.
Twice the number of student tickets plus the number of general admission tickets plus half the number of senior tickets equals 712.

Step 5: Formulate and rephrase the statements and scenario into a coherent and reasonable math word problem. The new math word problem is:

At a local event, tickets are sold at different prices: 4 dollars for students, 6 dollars for general admission, and 3 dollars for seniors. In total, 625 tickets were sold, collecting 3176 dollars. It is known that twice the number of student tickets plus the number of general admission tickets plus half the number of senior tickets equals 712. How many student, general admission, and senior tickets were sold?


System of Equations:
4.0 * x = 9.0 * y
x + y = 91.0

Solution of System of Equations:
x = 63
y = 28

Problem:
The ratio of boys to girls is 9 to 4. You know there are 91 total students. How many of them are boys? How many are girls?

Step 1: The variables in the system of equations are x and y, where x represents the number of boys and y represents the number of girls.

Step 2: Introduce a new variable z, which represents the number of teachers. Let's say there are 14 teachers.

x = 63
y = 28
z = 14

Step 3: Add new terms and new equations to the existing system of equations. The new system of equations becomes:

4.0 * x = 9.0 * y
x + y + z = 105.0
2.0 * x = 9.0 * z

Step 4: Introduce new statements that are related to the existing math word problem. The new statements are:

The ratio of boys to girls is 9 to 4. You know there are 105 total people including students and teachers.
The ratio of boys to teachers is 9 to 2.

Step 5: Formulate and rephrase the statements and scenario into a coherent and reasonable math word problem. The new math word problem is:

In a school, the ratio of boys to girls is 9 to 4. Including the teachers, there are 105 people in total. The ratio of boys to teachers is 9 to 2. How many boys, girls, and teachers are there in the school?


System of Equations:
7.0 * x + 5.0 * y = 146.0
x + y = 24.0

Solution of System of Equations:
x = 13
y = 11

Problem:
24 is divided into two parts such that 7 times the first part added to 5 times the second part makes 146. Find each part.

Step 1: The variables in the system of equations are x and y, where x represents the first part and y represents the second part.

Step 2: Introduce a new variable z, which represents the third part. Let's say the third part is 6.

x = 13
y = 11
z = 6

Step 3: Add new terms and new equations to the existing system of equations. The new system of equations becomes:

7.0 * x + 5.0 * y + 3.0 * z = 164.0
x + y + z = 30.0
x + y = 4.0 * z

Step 4: Introduce new statements that are related to the existing math word problem. The new statements are:

30 is divided into three parts such that 7 times the first part, 5 times the second part, and 3 times the third part makes 164.
The sum of the first part and the second part equals four times the third part.

Step 5: Formulate and rephrase the statements and scenario into a coherent and reasonable math word problem. The new math word problem is:

30 is divided into three parts. 7 times the first part, 5 times the second part, and 3 times the third part equals 164. Also, the sum of the first part and the second part equals four times the third part. Find each part.


System of Equations:
6.0 * 0.01 * x + 9.0 * 0.01 * y = 684.0
x + y = 10000.0

Solution of System of Equations:
x = 7200
y = 2800

Problem:
Suppose you invested 10,000 dollars, part at 6 % annual interest and the rest at 9 % annual interest. If you received 684 dollars in interest after one year, how much did you invest at 6 % annual interest and at 9 % annual interest?

Step 1: The variables in the system of equations are x and y, where x represents the amount invested at 6% annual interest and y represents the amount invested at 9% annual interest.

Step 2: Introduce a new variable z, which represents the amount invested at 4% annual interest. Let's say you invested 2000 dollars at 4% annual interest.

x = 7200
y = 2800
z = 2000

Step 3: Add new terms and new equations to the existing system of equations. The new system of equations becomes:

6.0 * 0.01 * x + 9.0 * 0.01 * y + 4.0 * 0.01 * z = 764.0
x + y + z = 12000.0
x + y = 5.0 * z

Step 4: Introduce new statements that are related to the existing math word problem. The new statements are:

Suppose you invested 12,000 dollars, part at 6 % annual interest, part at 9 % annual interest, and the rest at 4 % annual interest. If you received 764 dollars in interest after one year, how much did you invest at each rate?
The amount invested at 6% annual interest plus the amount invested at 9% annual interest equals five times the amount invested at 4% annual interest.

Step 5: Formulate and rephrase the statements and scenario into a coherent and reasonable math word problem. The new math word problem is:

Suppose you invested 12,000 dollars in three different ways: part at 6 % annual interest, part at 9 % annual interest, and the rest at 4 % annual interest. After one year, you received 764 dollars in interest. Also, the amount invested at 6% annual interest plus the amount invested at 9% annual interest equals five times the amount invested at 4% annual interest. How much did you invest at each rate?



"""

FOUR_UNKNOWN = """Let's expand a three-unknown math word problem into a four-unknown math word problem. The generated math word problem will follow the above steps:
Step 1: Write down each variable meaning in a system of equations by understanding the relation between a system of equations and a math word problem.
Step 2: Introduce a new variable based on the existing variable meaning. Then, assign a value to the new variable based on the solution of the existing system of equations.
Step 3: Add new terms and new equations to the existing system of equations to generate a solvable four-unknown system of equations.
Step 4: Introduce new statements that are related to the existing math word problem or modify the existing statement to rewrite the problem into a four-unknown math word problem based on the new system of equations and the same original scenario.
Step 5: Formulate and rephrase the statements and scenario into a coherent and reasonable math word problem.


System of Equations:
1.0 * x + 2.0 * y + 1.0 * z = 3360.0
2.0 * x + 1.0 * y + 1.0 * z = 3490.0
1.0 * x + 1.0 * y + 2.0 * z = 2950.0

Solution of System of Equations:
x = 1040
y = 910
z = 500

Problem:
At a fast food restaurant, one pan pizza, two cheeseburgers, and one milkshake provide 3360 calories. Two pan pizzas, one cheeseburger, and one milkshake provide 3490 calories. One pan pizza, one cheeseburger, and two milkshakes provide 2950 calories. Find the caloric content of each item.

Step 1: Variable Meaning
Let x be the caloric content of a pan pizza, y be the caloric content of a cheeseburger, and z be the caloric content of a milkshake.

Step 2: Introduce a New Variable
Let's introduce a new variable, w, to represent the caloric content of a new item, a chicken sandwich. Let's say a chicken sandwich provides 300 calories.

x = 1040
y = 910
z = 500
w = 300

Step 3: Add New Terms and Equations
We can add new terms and equations to the existing system to create a solvable four-unknown system. For example, we can add the chicken sandwich to each of the meals and adjust the total calories accordingly:

1.0 * x + 2.0 * y + 1.0 * z + 3.0 * w = 4260.0
2.0 * x + 1.0 * y + 1.0 * z + 2.0 * w = 4090.0
1.0 * x + 1.0 * y + 2.0 * z + 1.0 * w = 3250.0
2.0 * x + 2.0 * y + 1.0 * z + 1.0 * w = 4700.0

Step 4: Introduce New Statements
We can introduce new statements related to the existing math word problem or modify the existing statement to rewrite the problem into a four-unknown math word problem. For example, we can add the chicken sandwich to each of the meals and adjust the total calories accordingly:

- One pan pizza, two cheeseburgers, one milkshake, and three chicken sandwiches provide 4260 calories.
- Two pan pizzas, one cheeseburger, one milkshake, and two chicken sandwiches provide 4090 calories.
- One pan pizza, one cheeseburger, two milkshakes, and one chicken sandwich provide 3250 calories.
- Two pan pizzas, two cheeseburgers, one milkshake, and one chicken sandwich provide 4700 calories.

Step 5: Formulate and Rephrase the Statements and Scenario
At a fast food restaurant, one pan pizza, two cheeseburgers, one milkshake, and three chicken sandwiches provide 4260 calories. Two pan pizzas, one cheeseburger, one milkshake, and two chicken sandwiches provide 4090 calories. One pan pizza, one cheeseburger, two milkshakes, and one chicken sandwich provide 3250 calories. Two pan pizzas, two cheeseburgers, one milkshake, and one chicken sandwich provide 4700 calories. Find the caloric content of each item.


System of Equations:
4.0 * x + 6.0 * y + 3.0 * z = 3176.0
x + y + z = 625.0
2.0 * x + 1.0 * y + 0.5 * z = 712.0

Solution of System of Equations:
x = 137
y = 388
z = 100

Problem:
At a local event, tickets are sold at different prices: 4 dollars for students, 6 dollars for general admission, and 3 dollars for seniors. In total, 625 tickets were sold, collecting 3176 dollars. It is known that twice the number of student tickets plus the number of general admission tickets plus half the number of senior tickets equals 712. How many student, general admission, and senior tickets were sold?

Step 1: Variable Meaning
Let x be the number of student tickets sold, y be the number of general admission tickets sold, and z be the number of senior tickets sold.

Step 2: Introduce a New Variable
Let's introduce a new variable, w, to represent the number of child tickets sold. Let's say 50 child tickets were sold.

x = 137
y = 388
z = 100
w = 50

Step 3: Add New Terms and Equations
We can add new terms and equations to the existing system to create a solvable four-unknown system. For example, we can add the child tickets to each of the equations and adjust the total accordingly:

4.0 * x + 6.0 * y + 3.0 * z + 2.0 * w = 3276.0
x + y + z + w = 675.0
2.0 * x + 1.0 * y + 0.5 * z + 0.5 * w = 737.0
1.0 * x + 1.0 * y + 1.0 * z + 2.0 * w = 725.0

Step 4: Introduce New Statements
We can introduce new statements related to the existing math word problem or modify the existing statement to rewrite the problem into a four-unknown math word problem. For example, we can add the child tickets to each of the equations and adjust the total accordingly:

- Tickets are sold at different prices: 4 dollars for students, 6 dollars for general admission, 3 dollars for seniors, and 2 dollars for children. In total, 675 tickets were sold, collecting 3276 dollars.
- It is known that twice the number of student tickets plus the number of general admission tickets plus half the number of senior tickets plus half the number of child tickets equals 737.
- The number of student tickets plus the number of general admission tickets plus the number of senior tickets plus twice the number of child tickets equals 725.

Step 5: Formulate and Rephrase the Statements and Scenario
At a local event, tickets are sold at different prices: 4 dollars for students, 6 dollars for general admission, 3 dollars for seniors, and 2 dollars for children. In total, 675 tickets were sold, collecting 3276 dollars. It is known that twice the number of student tickets plus the number of general admission tickets plus half the number of senior tickets plus half the number of child tickets equals 737. The number of student tickets plus the number of general admission tickets plus the number of senior tickets plus twice the number of child tickets equals 725. How many student, general admission, senior, and child tickets were sold?


System of Equations:
4.0 * x = 9.0 * y
x + y + z = 105.0
2.0 * x = 9.0 * z

Solution of System of Equations:
x = 63
y = 28
z = 14

Problem:
In a school, the ratio of boys to girls is 9 to 4. Including the teachers, there are 105 people in total. The ratio of boys to teachers is 9 to 2. How many boys, girls, and teachers are there in the school?

Step 1: Variable Meaning
Let x be the number of boys, y be the number of girls, and z be the number of teachers.

Step 2: Introduce a New Variable
Let's introduce a new variable, w, to represent the number of staff members (excluding teachers). Let's say there are 27 staff members.

x = 63
y = 28
z = 14
w = 27

Step 3: Add New Terms and Equations
We can add new terms and equations to the existing system to create a solvable four-unknown system. For example, we can add the staff members to each of the equations and adjust the total accordingly:

4.0 * x = 9.0 * y
x + y + z + w = 132.0
2.0 * x = 9.0 * z
x + y = 3.0 * w

Step 4: Introduce New Statements
We can introduce new statements related to the existing math word problem or modify the existing statement to rewrite the problem into a four-unknown math word problem. For example, we can add the staff members to each of the equations and adjust the total accordingly:

- In a school, the ratio of boys to girls is 9 to 4. Including the teachers and staff, there are 132 people in total.
- The ratio of boys to teachers is 9 to 2.
- The number of boys and girls combined is three times the number of staff members.

Step 5: Formulate and Rephrase the Statements and Scenario
In a school, the ratio of boys to girls is 9 to 4. Including the teachers and staff, there are 132 people in total. The ratio of boys to teachers is 9 to 2. The number of boys and girls combined is three times the number of staff members. How many boys, girls, teachers, and staff members are there in the school?


System of Equations:
7.0 * x + 5.0 * y + 3.0 * z = 164.0
x + y + z = 30.0
x + y = 4.0 * z

Solution of System of Equations:
x = 13
y = 11
z = 6

Problem:
30 is divided into three parts. 7 times the first part, 5 times the second part, and 3 times the third part equals 164. Also, the sum of the first part and the second part equals four times the third part. Find each part.

Step 1: Variable Meaning
Let x be the first part, y be the second part, and z be the third part.

Step 2: Introduce a New Variable
Let's introduce a new variable, w, to represent a fourth part. Let's say the fourth part is 5.

x = 13
y = 11
z = 6
w = 5

Step 3: Add New Terms and Equations
We can add new terms and equations to the existing system to create a solvable four-unknown system. For example, we can add the fourth part to each of the equations and adjust the total accordingly:

7.0 * x + 5.0 * y + 3.0 * z + 2.0 * w = 174.0
x + y + z + w = 35.0
x + y = 4.0 * z
x + y + z = 6.0 * w

Step 4: Introduce New Statements
We can introduce new statements related to the existing math word problem or modify the existing statement to rewrite the problem into a four-unknown math word problem. For example, we can add the fourth part to each of the equations and adjust the total accordingly:

- 35 is divided into four parts. 7 times the first part, 5 times the second part, 3 times the third part, and 2 times the fourth part equals 174.
- Also, the sum of the first part and the second part equals four times the third part.
- The sum of the first part, the second part, and the third part equals six times the fourth part.

Step 5: Formulate and Rephrase the Statements and Scenario
35 is divided into four parts. 7 times the first part, 5 times the second part, 3 times the third part, and 2 times the fourth part equals 174. Also, the sum of the first part and the second part equals four times the third part. The sum of the first part, the second part, and the third part equals six times the fourth part. Find each part.


System of Equations:
6.0 * 0.01 * x + 9.0 * 0.01 * y + 4.0 * 0.01 * z = 764.0
x + y + z = 12000.0
x + y = 5.0 * z

Solution of System of Equations:
x = 7200
y = 2800
z = 2000

Problem:
Suppose you invested 12,000 dollars in three different ways: part at 6 % annual interest, part at 9 % annual interest, and the rest at 4 % annual interest. After one year, you received 764 dollars in interest. Also, the amount invested at 6% annual interest plus the amount invested at 9% annual interest equals five times the amount invested at 4% annual interest. How much did you invest at each rate?

Step 1: Variable Meaning
Let x be the amount invested at 6% annual interest, y be the amount invested at 9% annual interest, and z be the amount invested at 4% annual interest.

Step 2: Introduce a New Variable
Let's introduce a new variable, w, to represent an additional investment at a 3% annual interest rate. Let's say this investment is 2000 dollars.

x = 7200
y = 2800
z = 2000
w = 2000

Step 3: Add New Terms and Equations
We can add new terms and equations to the existing system to create a solvable four-unknown system. For example, we can add the additional investment to each of the equations and adjust the total accordingly:

6.0 * 0.01 * x + 9.0 * 0.01 * y + 4.0 * 0.01 * z + 3.0 * 0.01 * w = 824.0
x + y + z + w = 14000.0
x + y = 5.0 * z
x + y + z = 6.0 * w

Step 4: Introduce New Statements
We can introduce new statements related to the existing math word problem or modify the existing statement to rewrite the problem into a four-unknown math word problem. For example, we can add the new investment to each of the equations and adjust the total accordingly:

- Suppose you invested 14,000 dollars in four different ways: part at 6 % annual interest, part at 9 % annual interest, part at 4 % annual interest, and the rest at 3 % annual interest. After one year, you received 824 dollars in interest.
- Also, the amount invested at 6% annual interest plus the amount invested at 9% annual interest equals five times the amount invested at 4% annual interest.
- The amount invested at 6% annual interest plus the amount invested at 9% annual interest plus the amount invested at 4% annual interest equals six times the amount invested at 3% annual interest.

Step 5: Formulate and Rephrase the Statements and Scenario
Suppose you invested 14,000 dollars in four different ways: part at 6 % annual interest, part at 9 % annual interest, part at 4 % annual interest, and the rest at 3 % annual interest. After one year, you received 824 dollars in interest. Also, the amount invested at 6% annual interest plus the amount invested at 9% annual interest equals five times the amount invested at 4% annual interest. The amount invested at 6% annual interest plus the amount invested at 9% annual interest plus the amount invested at 4% annual interest equals six times the amount invested at 3% annual interest. How much did you invest at each rate?



"""

FIVE_UNKNOWN = """Let's expand a four-unknown math word problem into a five-unknown math word problem. The generated math word problem will follow the above steps:
Step 1: Write down each variable meaning in a system of equations by understanding the relation between a system of equations and a math word problem.
Step 2: Introduce a new variable based on the existing variable meaning. Then, assign a value to the new variable based on the solution of the existing system of equations.
Step 3: Add new terms and new equations to the existing system of equations to generate a solvable five-unknown system of equations.
Step 4: Introduce new statements that are related to the existing math word problem or modify the existing statement to rewrite the problem into a five-unknown math word problem based on the new system of equations and the same original scenario.
Step 5: Formulate and rephrase the statements and scenario into a coherent and reasonable math word problem.


System of Equations:
1.0 * x + 2.0 * y + 1.0 * z + 3.0 * w = 4260.0
2.0 * x + 1.0 * y + 1.0 * z + 2.0 * w = 4090.0
1.0 * x + 1.0 * y + 2.0 * z + 1.0 * w = 3250.0
2.0 * x + 2.0 * y + 1.0 * z + 1.0 * w = 4700.0

Solution of System of Equations:
x = 1040
y = 910
z = 500
w = 300

Problem:
At a fast food restaurant, one pan pizza, two cheeseburgers, one milkshake, and three chicken sandwiches provide 4260 calories. Two pan pizzas, one cheeseburger, one milkshake, and two chicken sandwiches provide 4090 calories. One pan pizza, one cheeseburger, two milkshakes, and one chicken sandwich provide 3250 calories. Two pan pizzas, two cheeseburgers, one milkshake, and one chicken sandwich provide 4700 calories. Find the caloric content of each item.

Step 1: Variable Meaning
x = calories in one pan pizza
y = calories in one cheeseburger
z = calories in one milkshake
w = calories in one chicken sandwich

Step 2: Introduce a New Variable
Let's introduce a new variable, v, which represents the calories in one serving of french fries. Let's say that one serving of french fries has 600 calories.

x = 1040
y = 910
z = 500
w = 300
v = 600

Step 3: Add New Terms and Equations
We can add the new variable to the existing equations and create a new equation. The new system of equations becomes:

1.0 * x + 2.0 * y + 1.0 * z + 3.0 * w + 0.0 * v = 4260.0
2.0 * x + 1.0 * y + 1.0 * z + 2.0 * w + 1.0 * v = 4690.0
1.0 * x + 1.0 * y + 2.0 * z + 1.0 * w + 1.0 * v = 3850.0
2.0 * x + 2.0 * y + 1.0 * z + 1.0 * w + 1.0 * v = 5300.0
1.0 * x + 1.0 * y + 1.0 * z + 1.0 * w + 2.0 * v = 3950.0

Step 4: Introduce New Statements
We can introduce new statements related to the new variable. For example, we can say that two pan pizzas, one cheeseburger, one milkshake, two chicken sandwiches, and one serving of french fries provide 4690 calories. One pan pizza, one cheeseburger, two milkshakes, one chicken sandwich, and one serving of french fries provide 3850 calories. Two pan pizzas, two cheeseburgers, one milkshake, one chicken sandwich, and one serving of french fries provide 5300 calories. One of each item plus an additional serving of french fries provide 3950 calories.

Step 5: Formulate the New Problem
At a fast food restaurant, one pan pizza, two cheeseburgers, one milkshake, and three chicken sandwiches provide 4260 calories. Two pan pizzas, one cheeseburger, one milkshake, two chicken sandwiches, and one serving of french fries provide 4690 calories. One pan pizza, one cheeseburger, two milkshakes, one chicken sandwich, and one serving of french fries provide 3850 calories. Two pan pizzas, two cheeseburgers, one milkshake, one chicken sandwich, and one serving of french fries provide 5300 calories. One of each item plus an additional serving of french fries provide 4500 calories. Find the caloric content of each item.


System of Equations:
4.0 * x + 6.0 * y + 3.0 * z + 2.0 * w = 3276.0
x + y + z + w = 675.0
2.0 * x + 1.0 * y + 0.5 * z + 0.5 * w = 737.0
1.0 * x + 1.0 * y + 1.0 * z + 2.0 * w = 725.0

Solution of System of Equations:
x = 137
y = 388
z = 100
w = 50

Problem:
At a local event, tickets are sold at different prices: 4 dollars for students, 6 dollars for general admission, 3 dollars for seniors, and 2 dollars for children. In total, 675 tickets were sold, collecting 3276 dollars. It is known that twice the number of student tickets plus the number of general admission tickets plus half the number of senior tickets plus half the number of child tickets equals 737. The number of student tickets plus the number of general admission tickets plus the number of senior tickets plus twice the number of child tickets equals 725. How many student, general admission, senior, and child tickets were sold?

Step 1: Variable Meaning
x = number of student tickets sold
y = number of general admission tickets sold
z = number of senior tickets sold
w = number of child tickets sold

Step 2: Introduce a New Variable
Let's introduce a new variable, v, which represents the number of VIP tickets sold. Let's say that 50 VIP tickets were sold.

x = 137
y = 388
z = 100
w = 50
v = 50

Step 3: Add New Terms and Equations
We can add the new variable to the existing equations and create a new equation. The new system of equations becomes:

4.0 * x + 6.0 * y + 3.0 * z + 2.0 * w + 10.0 * v = 3776.0
x + y + z + w + v = 725.0
2.0 * x + 1.0 * y + 0.5 * z + 0.5 * w + 0.5 * v = 762.0
1.0 * x + 1.0 * y + 1.0 * z + 2.0 * w + 1.0 * v = 775.0
1.0 * x + 1.0 * y + 1.0 * z + 1.0 * w + 2.0 * v = 775.0

Step 4: Introduce New Statements
We can introduce new statements related to the new variable. For example, we can say that the total revenue collected from selling all types of tickets, including VIP tickets at 10 dollars each, was 3776 dollars. The total number of tickets sold, including VIP tickets, was 725. Twice the number of student tickets plus the number of general admission tickets plus half the number of senior tickets plus half the number of child tickets plus half the number of VIP tickets equals 762. The number of student tickets plus the number of general admission tickets plus the number of senior tickets plus twice the number of child tickets plus the number of VIP tickets equals 775. The number of each type of ticket plus twice the number of VIP tickets equals 775.

Step 5: Formulate the New Problem
At a local event, tickets are sold at different prices: 4 dollars for students, 6 dollars for general admission, 3 dollars for seniors, 2 dollars for children, and 10 dollars for VIPs. In total, 725 tickets were sold, collecting 3776 dollars. It is known that twice the number of student tickets plus the number of general admission tickets plus half the number of senior tickets plus half the number of child tickets plus half the number of VIP tickets equals 762. The number of student tickets plus the number of general admission tickets plus the number of senior tickets plus twice the number of child tickets plus the number of VIP tickets equals 775. The number of each type of ticket plus twice the number of VIP tickets equals 775. How many student, general admission, senior, child, and VIP tickets were sold?


System of Equations:
4.0 * x = 9.0 * y
x + y + z + w = 132.0
2.0 * x = 9.0 * z
x + y = 3.0 * w

Solution of System of Equations:
x = 63
y = 28
z = 14
w = 27

Problem:
In a school, the ratio of boys to girls is 9 to 4. Including the teachers and staff, there are 132 people in total. The ratio of boys to teachers is 9 to 2. The number of boys and girls combined is three times the number of staff members. How many boys, girls, teachers, and staff members are there in the school?

Step 1: Variable Meaning
x = number of boys
y = number of girls
z = number of teachers
w = number of staff members

Step 2: Introduce a New Variable
Let's introduce a new variable, v, which represents the number of administrators. Let's say that there are 15 administrators.

x = 63
y = 28
z = 14
w = 27
v = 15

Step 3: Add New Terms and Equations
We can add the new variable to the existing equations and create a new equation. The new system of equations becomes:

4.0 * x = 9.0 * y
x + y + z + w + v = 147.0
2.0 * x = 9.0 * z
x + y = 3.0 * w
x + y + z = 7.0 * v

Step 4: Introduce New Statements
We can introduce new statements related to the new variable. For example, we can say that including the administrators, there are 147 people in total. The number of boys, girls, and teachers combined is seven times the number of administrators.

Step 5: Formulate the New Problem
In a school, the ratio of boys to girls is 9 to 4. Including the teachers, staff, and administrators, there are 147 people in total. The ratio of boys to teachers is 9 to 2. The number of boys and girls combined is three times the number of staff members. The number of boys, girls, and teachers combined is seven times the number of administrators. How many boys, girls, teachers, staff members, and administrators are there in the school?


System of Equations:
7.0 * x + 5.0 * y + 3.0 * z + 2.0 * w = 174.0
x + y + z + w = 35.0
x + y = 4.0 * z
x + y + z = 6.0 * w

Solution of System of Equations:
x = 13
y = 11
z = 6
w = 5

Problem:
35 is divided into four parts. 7 times the first part, 5 times the second part, 3 times the third part, and 2 times the fourth part equals 174. Also, the sum of the first part and the second part equals four times the third part. The sum of the first part, the second part, and the third part equals six times the fourth part. Find each part.

Step 1: Variable Meaning
x = first part
y = second part
z = third part
w = fourth part

Step 2: Introduce a New Variable
Let's introduce a new variable, v, which represents the fifth part. Let's say that the fifth part is 7.

x = 13
y = 11
z = 6
w = 5
v = 7

Step 3: Add New Terms and Equations
We can add the new variable to the existing equations and create a new equation. The new system of equations becomes:

7.0 * x + 5.0 * y + 3.0 * z + 2.0 * w + 1.0 * v = 181.0
x + y + z + w + v = 42.0
x + y = 4.0 * z
x + y + z = 6.0 * w
x + y + z + w = 5.0 * v

Step 4: Introduce New Statements
We can introduce new statements related to the new variable. For example, we can say that 42 is divided into five parts. 7 times the first part, 5 times the second part, 3 times the third part, 2 times the fourth part, and the fifth part equals 181. Also, the sum of the first part, the second part, the third part, and the fourth part equals five times the fifth part.

Step 5: Formulate the New Problem
42 is divided into five parts. 7 times the first part, 5 times the second part, 3 times the third part, 2 times the fourth part, and the fifth part equals 181. Also, the sum of the first part and the second part equals four times the third part. The sum of the first part, the second part, and the third part equals six times the fourth part. The sum of the first part, the second part, the third part, and the fourth part equals five times the fifth part. Find each part.


System of Equations:
6.0 * 0.01 * x + 9.0 * 0.01 * y + 4.0 * 0.01 * z + 3.0 * 0.01 * w = 824.0
x + y + z + w = 14000.0
x + y = 5.0 * z
x + y + z = 6.0 * w

Solution of System of Equations:
x = 7200
y = 2800
z = 2000
w = 2000

Problem:
Suppose you invested 14,000 dollars in four different ways: part at 6 % annual interest, part at 9 % annual interest, part at 4 % annual interest, and the rest at 3 % annual interest. After one year, you received 824 dollars in interest. Also, the amount invested at 6% annual interest plus the amount invested at 9% annual interest equals five times the amount invested at 4% annual interest. The amount invested at 6% annual interest plus the amount invested at 9% annual interest plus the amount invested at 4% annual interest equals six times the amount invested at 3% annual interest. How much did you invest at each rate?

Step 1: Variable Meaning
x = amount invested at 6% annual interest
y = amount invested at 9% annual interest
z = amount invested at 4% annual interest
w = amount invested at 3% annual interest

Step 2: Introduce a New Variable
Let's introduce a new variable, v, which represents the amount invested at 2% annual interest. Let's say that the amount invested at 2% annual interest is 2000 dollars.

x = 7200
y = 2800
z = 2000
w = 2000
v = 2000

Step 3: Add New Terms and Equations
We can add the new variable to the existing equations and create a new equation. The new system of equations becomes:

6.0 * 0.01 * x + 9.0 * 0.01 * y + 4.0 * 0.01 * z + 3.0 * 0.01 * w + 2.0 * 0.01 * v = 864.0
x + y + z + w + v = 16000.0
x + y = 5.0 * z
x + y + z = 6.0 * w
x + y + z + w = 7.0 * v

Step 4: Introduce New Statements
We can introduce new statements related to the new variable. For example, we can say that you invested 16,000 dollars in five different ways. After one year, you received 864 dollars in interest. Also, the amount invested at 6% annual interest plus the amount invested at 9% annual interest plus the amount invested at 4% annual interest plus the amount invested at 3% annual interest equals seven times the amount invested at 2% annual interest.

Step 5: Formulate the New Problem
Suppose you invested 16,000 dollars in five different ways: part at 6 % annual interest, part at 9 % annual interest, part at 4 % annual interest, part at 3 % annual interest, and the rest at 2 % annual interest. After one year, you received 864 dollars in interest. Also, the amount invested at 6% annual interest plus the amount invested at 9% annual interest equals five times the amount invested at 4% annual interest. The amount invested at 6% annual interest plus the amount invested at 9% annual interest plus the amount invested at 4% annual interest equals six times the amount invested at 3% annual interest. The amount invested at 6% annual interest plus the amount invested at 9% annual interest plus the amount invested at 4% annual interest plus the amount invested at 3% annual interest equals seven times the amount invested at 2% annual interest. How much did you invest at each rate?



"""
